/**
 * MCS Media Computer Software
 * Copyright 2012 by Wilfried Klaas
 * Project: MCSUtils
 * File: Delegate.java
 * EMail: W.Klaas@gmx.de
 * Created: 14.03.2012 Willie
 */

package de.mcs.utils.event;

/**
 * @author Willie
 *
 */
public interface Delegate {

  void registerEvent(Event event);

  void removeAllListeners(Event event);

  boolean isListenerRegistered(Event event, EventListener eventListener);

  boolean isEventRegistered(Event event1);

  void fireEvent(Event event, Object... data);

  void unregisterListener(Event event, EventListener eventListener);

  void registerListener(Event event, EventListener eventListener);

}
